---
sidebar_position: 4
sidebar_label: Dynamic Table of Contexts
---
import { faUpRightFromSquare } from "@fortawesome/free-solid-svg-icons";

# The Dynamic Table of Contexts

The Dynamic Table of Contexts transforms e-reading by combining the power of semantic markup with the navigational features of the book. The table of contents and the keyword index – the time-tested overviews provided by print editions – are dynamically merged with full-text search and tag-based indexing.

Readers add or subtract items from the index into the table of contents to locate, explore and better understand content. Every side panel item links directly into the reading panel, as does the visual document model showing the distribution of items, enabling fluid access to the text.

The Curator Mode allows editors and readers alike to leverage the underlying [XML](https://lincsproject.ca/docs/terms/xml) markup: build a sophisticated index, and relabel, reorder, show, or hide sections of the text using XML tags and attributes.

Produced in partnership with [Voyant Tools](https://voyant-tools.org/dtoc/), DToC is available as a publication option within the LEAF-VRE and as a standalone LEAF Commons tool that can be used to create persistent, standalone editions hosted on [GitHub](https://github.com/).

<div className="primary-button-row">
  
  <PrimaryButton
    link="https://dtoc.lincsproject.ca/"
    buttonName="To the DTOC Commons"
    icon={faUpRightFromSquare}></PrimaryButton>
  <PrimaryButton
    link="https://cwrc.ca/voyant/regenerations"
    buttonName="To the Sample DTOC Edition"
    icon={faUpRightFromSquare}></PrimaryButton>  
 <PrimaryButton
    link="https://cwrc.ca/Documentation/public/DITA_Files-Various_Applications/DToC/OverviewDToC.html"
    buttonName="To the DTOC Documentation"
    icon={faUpRightFromSquare}></PrimaryButton>
</div>


